Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.util.concurrent
Class AbstractScheduledService.CustomScheduler.Schedule

    java.lang.Object
      com.google.common.util.concurrent.AbstractScheduledService.CustomScheduler.Schedule

Enclosing class:
  AbstractScheduledService.CustomScheduler

    @Beta
    protected static final class AbstractScheduledService.CustomScheduler.Schedule

extends Object

A value object that represents an absolute delay until a task should be invoked.

Since:
  11.0
Author:
  Luke Sandberg

Constructor Summary
`AbstractScheduledService.CustomScheduler.Schedule(long delay, TimeUnit unit)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractScheduledService.CustomScheduler.Schedule

    public AbstractScheduledService.CustomScheduler.Schedule(long delay,
                                                             TimeUnit unit)

Parameters:
  `delay` - the time from now to delay execution
  `unit` - the time unit of the delay parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.